:root {
    --footer-font-size: 1rem;
    --footer-bg-color: rgb(245, 245, 245); /* whitesmoke */;
    --footer-height: 3.5rem;
}

footer {
    display: flex;
    font-size: var(--footer-font-size);
    background-color: var(--footer-bg-color);
    min-height: var(--footer-height);
    padding-bottom: 1rem;
}

.footerblock {
    padding: 0.3rem 1.5rem;
}

footer p {
    margin: 0;
    padding: 0;
}

footer ul {
    margin: 0.5rem 0;
}

footer a {
    color: inherit;
    text-wrap: nowrap;
    text-decoration: underline;
    text-decoration-thickness: 1px;
    text-underline-offset: 3px;
    text-decoration-color: rgba(0, 0, 0, 0.5);
    transition: 300ms;
}

footer a:hover {
    text-decoration-color: rgba(0, 0, 0, 0.8);
    text-decoration-thickness: 2px;
}


